/** @file
  OpromUpdateDxeNeonCityEPRP.h -- Header for OpromUpdateDxeNeonCityEPRP


Copyright (c) HR650X BIOS Decompilation Project
**/

#ifndef __OPROMUPDATEDXENEONCITYEPRP_H__
#define __OPROMUPDATEDXENEONCITYEPRP_H__

#include "../uefi_headers/Uefi.h"

//
// Function Prototypes
//

///
/// ModuleEntryPoint -- UEFI entry point / initialization function
///
EFI_STATUS
EFIAPI
ModuleEntryPoint(
  VOID
);

///
/// UbaAssert
///
EFI_STATUS
EFIAPI
UbaAssert(
  IN CONST CHAR8  *FileName,
  IN UINTN        LineNumber,
  IN CONST CHAR8  *Description
  );

///
/// GetUbaProtocol
///
VOID *
EFIAPI
GetUbaProtocol(
  VOID
  );

///
/// UbaDebugPrint
///
EFI_STATUS
EFIAPI
UbaDebugPrint(
  IN UINTN   ErrorLevel,
  IN CHAR8   *Format,
  ...
  );

#endif /* __OPROMUPDATEDXENEONCITYEPRP_H__ */
